#!/usr/bin/env bash

mkdir -p $HOME/Downloads

rm -f "$HOME/Downloads/nvim-linux-x86_64.tar.gz"
rm -rf "$HOME/Downloads/nvim-linux-x86_64"

VERSION=$(curl -s https://api.github.com/repos/neovim/neovim/releases/latest | jq -r .tag_name)

wget -P "$HOME/Downloads" "https://github.com/neovim/neovim/releases/download/${VERSION}/nvim-linux-x86_64.tar.gz"

tar -xzf "$HOME/Downloads/nvim-linux-x86_64.tar.gz" -C "$HOME/Downloads"

sudo cp "$HOME/Downloads/nvim-linux-x86_64/bin/nvim" /usr/bin